;InnoSetupVersion=5.1.2

[Setup]
AppName={cm:AppNameLang}
AppVerName={cm:AppNameLang} v4.0.0.40
AppId={cm:AppNameLang}
AppVersion=4.0.0.40
AppPublisher=GetData Pty Ltd
AppPublisherURL=http://www.getdata.com
AppSupportURL=http://support.getdata.com
AppUpdatesURL=http://www.computersecuritytool.com
DefaultDirName={pf}\GetData\Computer Security Tool
DefaultGroupName={cm:AppNameLang}
UninstallDisplayIcon={app}\CST.exe
UninstallDisplayName={cm:AppNameLang}
OutputBaseFilename=ComputerSecurityTool - Internet (v4.0.0.40).en
Compression=lzma
PrivilegesRequired=none
AllowNoIcons=yes
LicenseFile=embedded\License.rtf
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\CST.exe"; DestDir: "{app}"; MinVersion: 0.0,5.0.2195; Flags: ignoreversion 
Source: "{app}\CSTConfig.cfg"; DestDir: "{app}"; MinVersion: 0.0,5.0.2195; Flags: ignoreversion 
Source: "{app}\Help\Computer Security Tool-Help.chm"; DestDir: "{app}\Help"; MinVersion: 0.0,5.0.2195; Flags: ignoreversion 

[INI]
FileName: "{app}\CST.url"; Section: "InternetShortcut"; Key: "URL"; String: "http://www.computersecuritytool.com"; 

[Run]
Filename: "{app}\CST.exe"; WorkingDir: "{app}"; Description: "{cm:LaunchProgram,{cm:AppNameLang}}"; MinVersion: 0.0,5.0.2195; Flags: postinstall skipifsilent nowait

[UninstallRun]
Filename: "{app}\CST.exe"; Parameters: "/Uninstall Description: Rolling Back Security Settings, Please Wait..."; MinVersion: 0.0,5.0.2195; 

[Icons]
Name: "{group}\{cm:AppNameLang}"; Filename: "{app}\CST.exe"; WorkingDir: "{app}"; MinVersion: 0.0,5.0.2195; 
Name: "{group}\{cm:AppNameLang} {cm:Help}"; Filename: "{app}\Help\Computer Security Tool-Help.chm"; WorkingDir: "{app}"; MinVersion: 0.0,5.0.2195; 
Name: "{group}\{cm:WebSiteLink, {cm:AppNameLang}}"; Filename: "{app}\CST.url"; WorkingDir: "{app}"; MinVersion: 0.0,5.0.2195; 
Name: "{userdesktop}\{cm:AppNameLang}"; Filename: "{app}\CST.exe"; WorkingDir: "{app}"; Tasks: desktopicon; 
Name: "{group}\{cm:UninstallProgram, {cm:AppNameLang}}"; Filename: "{uninstallexe}"; MinVersion: 0.0,5.0.2195; 

[Tasks]
Name: "desktopicon"; Description: "{cm:CreateDesktopIcon}"; GroupDescription: "{cm:AdditionalIcons}"; 

[UninstallDelete]
Type: files; Name: "{app}\Report.html"; 
Type: files; Name: "{app}\AutoBackup\*.bak"; 
Type: files; Name: "{app}\Backup\*.bak"; 
Type: files; Name: "{app}\*.dat"; 
Type: files; Name: "{app}\*.url"; 
Type: files; Name: "{app}\*.ini"; 

[CustomMessages]
en.NameAndVersion=%1 version %2
en.AdditionalIcons=Additional icons:
en.CreateDesktopIcon=Create a &desktop icon
en.CreateQuickLaunchIcon=Create a &Quick Launch icon
en.ProgramOnTheWeb=%1 on the Web
en.UninstallProgram=Uninstall %1
en.LaunchProgram=Launch %1
en.AssocFileExtension=&Associate %1 with the %2 file extension
en.AssocingFileExtension=Associating %1 with the %2 file extension...
de.NameAndVersion=%1 Version %2
de.AdditionalIcons=Zustzliche Symbole:
de.CreateDesktopIcon=&Desktop-Symbol anlegen
de.CreateQuickLaunchIcon=Symbol in der Schnellstartleiste anlegen
de.ProgramOnTheWeb=%1 im Internet
de.UninstallProgram=%1 entfernen
de.LaunchProgram=%1 starten
de.AssocFileExtension=&Registriere %1 mit der %2-Dateierweiterung
de.AssocingFileExtension=%1 wird mit der %2-Dateierweiterung registriert...
fr.NameAndVersion=%1 version %2
fr.AdditionalIcons=Icnes supplmentaires :
fr.CreateDesktopIcon=Crer une icne sur le &Bureau
fr.CreateQuickLaunchIcon=Crer une icne dans la barre de &Lancement rapide
fr.ProgramOnTheWeb=Page d'accueil de %1
fr.UninstallProgram=Dsinstaller %1
fr.LaunchProgram=Excuter %1
fr.AssocFileExtension=&Associer %1 avec l'extension de fichier %2
fr.AssocingFileExtension=Associe %1 avec l'extension de fichier %2...
pt.NameAndVersion=%1 verso %2
pt.AdditionalIcons=cones adicionais:
pt.CreateDesktopIcon=Criar cone no &Ambiente de Trabalho
pt.CreateQuickLaunchIcon=Criar cone na barra de Iniciao &Rpida
pt.ProgramOnTheWeb=%1 na Web
pt.UninstallProgram=Desinstalar o %1
pt.LaunchProgram=Executar o %1
pt.AssocFileExtension=&Associar o %1 aos ficheiros com a extenso %2
pt.AssocingFileExtension=A associar o %1 aos ficheiros com a extenso %2...
it.NameAndVersion=%1 versione %2
it.AdditionalIcons=Icone aggiuntive:
it.CreateDesktopIcon=Crea un'icona sul &desktop
it.CreateQuickLaunchIcon=Crea un'icona nella barra &Avvio veloce
it.ProgramOnTheWeb=%1 sul Web
it.UninstallProgram=Disinstalla %1
it.LaunchProgram=Avvia %1
it.AssocFileExtension=&Associa l'estensione %2 a %1
it.AssocingFileExtension=Associazione dell'estensione %2 a %1 in corso...
es.NameAndVersion=%1 versin %2
es.AdditionalIcons=Iconos adicionales:
es.CreateDesktopIcon=Crear un atajo en el &Escritorio
es.CreateQuickLaunchIcon=Crear un icono de acceso &rpido
es.ProgramOnTheWeb=%1 en la Web
es.UninstallProgram=Eliminar %1
es.LaunchProgram=Ejecutar %1
es.AssocFileExtension=&Asociar %1 con la extensin de archivo %2
es.AssocingFileExtension=Asociar %1 con la extensin de archivo %2...
en.Help=Help
de.Help=Hilfe
fr.Help=Aide
pt.Help=Help
it.Help=Help
es.Help=Help
en.WebSiteLink=Visit %1 on the Web
de.WebSiteLink=%1 Internetadresse
fr.WebSiteLink=Site internet %1
pt.WebSiteLink=Visit %1 on the Web
it.WebSiteLink=Visit %1 on the Web
es.WebSiteLink=Visit %1 on the Web
en.AppNameLang=Computer Security Tool
de.AppNameLang=Computer Security Tool
fr.AppNameLang=Computer Security Tool
pt.AppNameLang=Computer Security Tool
it.AppNameLang=Computer Security Tool
es.AppNameLang=Computer Security Tool

[Languages]
; These files are stubs
; To achieve better results after recompilation, use the real language files
Name: "en"; MessagesFile: "embedded\en.isl"; 
Name: "de"; MessagesFile: "embedded\de.isl"; 
Name: "fr"; MessagesFile: "embedded\fr.isl"; 
Name: "pt"; MessagesFile: "embedded\pt.isl"; 
Name: "it"; MessagesFile: "embedded\it.isl"; 
Name: "es"; MessagesFile: "embedded\es.isl"; 
